## isomaster 1.0

=== Makefile ===
# Other paths are relative to this.
PREFIX ?= /usr/local

# Where to install the executable.
BINPATH ?= $(PREFIX)/bin

# Where to install the icons.
# Used by icons/Makefile
export ICONPATH ?= $(PREFIX)/share/isomaster/icons

# Used by gettext and po/Makefile (translations)
# To disable installation of some .mo files edit or delete the MOFILES 
# variable in po/Makefile. This is safe to do.
export LOCALEDIR ?= $(PREFIX)/share/locale

# Where to install the man page.
MYMANPATH ?= $(PREFIX)/share/man/man1

# Where to install the .desktop file
DESKTOPPATH ?= $(PREFIX)/share/applications

# To disable i18n completely, uncomment the following line 
# or define WITHOUT_NLS somewhere else.
# This option is desired in the FreeBSD ports guidelines.
#WITHOUT_NLS = 1

# This enables overwriting the original iso,
# don't uncomment it unless you are willing to risk losing data.
#CFLAGS += -DENABLE_SAVE_OVERWRITE

# programs used in the Makefiles:
export CC      ?= gcc
export AR      = ar
export RM      = rm -f
export INSTALL = install
export CP      = cp
export ECHO    = echo

# -DDEBUG and -g only used during development
CFLAGS += -Wall -pedantic -std=gnu99 `pkg-config --cflags gtk+-2.0` -DICONPATH=\"$(ICONPATH)\" -DLOCALEDIR=\"$(LOCALEDIR)\"
ifndef WITHOUT_NLS
	CFLAGS += -DENABLE_NLS
endif

# the _FILE_OFFSET_BITS=64 is to enable stat() for large files
CPPFLAGS = -D_FILE_OFFSET_BITS=64

OBJECTS = isomaster.o window.o browser.o fsbrowser.o isobrowser.o error.o about.o settings.o boot.o

all: isomaster translations isomaster.desktop

isomaster: $(OBJECTS) lib iniparser
	$(CC) $(OBJECTS) bk/bk.a iniparser-2.15/libiniparser.a $(CFLAGS) $(CPPFLAGS) `pkg-config --libs gtk+-2.0`-o isomaster

# static pattern rule
$(OBJECTS): %.o: %.c bk/bk.h Makefile
	$(CC) $< $(CFLAGS) $(CPPFLAGS) -c -o $@

lib:
	cd bk && $(MAKE)

iniparser:
	cd iniparser-2.15 && $(MAKE)

translations:
ifndef WITHOUT_NLS
	cd po && $(MAKE)
endif

isomaster.desktop: isomaster.desktop.src
	$(CP) isomaster.desktop.src isomaster.desktop
	$(ECHO) Icon=$(ICONPATH)/isomaster.png >> isomaster.desktop

clean: 
	cd bk && $(MAKE) clean
	cd iniparser-2.15 && $(MAKE) clean
ifndef WITHOUT_NLS
	cd po && $(MAKE) clean
endif
	$(RM) *.o isomaster isomaster.desktop

# for info about DESTDIR see http://www.gnu.org/prep/standards/html_node/DESTDIR.html

install: all
	$(INSTALL) -d $(DESTDIR)$(BINPATH)
	$(INSTALL) isomaster $(DESTDIR)$(BINPATH)
	cd icons && $(MAKE) install
ifndef WITHOUT_NLS
	cd po && $(MAKE) install
endif
	$(INSTALL) -d $(DESTDIR)$(MYMANPATH)
	$(INSTALL) -m 644 isomaster.1 $(DESTDIR)$(MYMANPATH)
	$(INSTALL) -d $(DESTDIR)$(DESKTOPPATH)
	$(INSTALL) -m 644 isomaster.desktop $(DESTDIR)$(DESKTOPPATH)

uninstall: 
	$(RM) $(DESTDIR)$(BINPATH)/isomaster
	cd icons && $(MAKE) uninstall
ifndef WITHOUT_NLS
	cd po && $(MAKE) uninstall
endif
	$(RM) $(DESTDIR)$(MYMANPATH)/isomaster.1
	$(RM) $(DESTDIR)$(DESKTOPPATH)/isomaster.desktop

=== bk/Makefile ===
# CC, AR, RM defined in parent makefile

OBJECTS = bkRead7x.o bkAdd.o bkDelete.o bkExtract.o bkRead.o bkPath.o bkMangle.o bkWrite.o bkWrite7x.o bkTime.o bkSort.o bkError.o bkGet.o bkSet.o bkCache.o bkLink.o bkMisc.o

# -DDEBUG and -g only used during development
CFLAGS  += -Wall -pedantic -std=gnu99

# the _FILE_OFFSET_BITS=64 is to enable stat() for large files
CPPFLAGS = -D_FILE_OFFSET_BITS=64

bk.a: $(OBJECTS)
	$(AR) -cr bk.a $(OBJECTS)

# static pattern rule
$(OBJECTS): %.o: %.c Makefile bk.h bkInternal.h
	$(CC) $< $(CFLAGS) $(CPPFLAGS) -c -o $@

clean: 
	$(RM) *.o bk.a

=== iniparser-2.15/Makefile ===
#
# iniparser Makefile
#

# Compiler settings
# CFLAGS  = -O3 -pedantic -std=c99

# Ar settings to build the library
ARFLAGS = rcv

# Set RANLIB to ranlib on systems that require it (Sun OS < 4, Mac OSX)
# RANLIB  = ranlib
RANLIB = true

# Implicit rules

SUFFIXES = .o .c .h .a .so .sl

COMPILE.c=$(CC) $(CFLAGS) -c
.c.o:
	@(echo "compiling $< ...")
	@($(COMPILE.c) -o $@ $<)


SRCS = src/iniparser.c \
	   src/dictionary.c \
	   src/strlib.c

OBJS = $(SRCS:.c=.o)


default:	libiniparser.a

libiniparser.a:	$(OBJS)
	@($(AR) $(ARFLAGS) libiniparser.a $(OBJS))
	@($(RANLIB) libiniparser.a)

clean:
	$(RM) $(OBJS) libiniparser.a

veryclean:
	$(RM) $(OBJS) libiniparser.a
	rm -rf ./html ; mkdir html
	cd test ; $(MAKE) veryclean

docs:
	@(cd doc ; $(MAKE))
	
check:
	@(cd test ; $(MAKE))

=== po/Makefile ===
# LOCALEDIR, RM, INSTALL defined in parent makefile

MOFILES = bg.mo ca.mo cs.mo de.mo el.mo es.mo fi.mo fr.mo hr.mo it.mo nb.mo nl.mo nn.mo pl.mo pt.mo ro.mo ru.mo sk.mo sr@latin.mo sr@Latn.mo sq.mo sv.mo uk.mo zh_CN.mo zh_TW.mo

all: $(MOFILES) Makefile
	
# static pattern rule
$(MOFILES): %.mo: %.po
	msgfmt -c -v $< -o $@

clean:
	$(RM) *.mo *.percent

# for info about DESTDIR see http://www.gnu.org/prep/standards/html_node/DESTDIR.html

install: all
	for NAME in $(MOFILES); do \
	  $(INSTALL) -v -d $(DESTDIR)$(LOCALEDIR)/`basename $$NAME .mo`/LC_MESSAGES; \
	  $(INSTALL) -v -m 644 $$NAME $(DESTDIR)$(LOCALEDIR)/`basename $$NAME .mo`/LC_MESSAGES/isomaster.mo; \
	done

uninstall:
	for NAME in $(MOFILES); do \
	  $(RM) -v $(DESTDIR)$(LOCALEDIR)/`basename $$NAME .mo`/LC_MESSAGES/isomaster.mo; \
	done

## isomaster 1.3

=== Makefile ===
--- 
+++ 
@@ -19,6 +19,15 @@
 # Where to install the .desktop file
 DESKTOPPATH ?= $(PREFIX)/share/applications
 
+# The default editor for files from the image. Users can change this. I
+# recommend you set it to a graphical text editor that is likely to be 
+# installed by default on your distribution.
+DEFAULT_EDITOR ?= mousepad
+
+# The default viewer for files from the image. I recommend you make it 
+# a web browser because it can display the widest range of files.
+DEFAULT_VIEWER ?= firefox
+
 # To disable i18n completely, uncomment the following line 
 # or define WITHOUT_NLS somewhere else.
 # This option is desired in the FreeBSD ports guidelines.
@@ -26,7 +35,7 @@
 
 # This enables overwriting the original iso,
 # don't uncomment it unless you are willing to risk losing data.
-#CFLAGS += -DENABLE_SAVE_OVERWRITE
+#CPPFLAGS += -DENABLE_SAVE_OVERWRITE
 
 # programs used in the Makefiles:
 export CC      ?= gcc
@@ -36,31 +45,37 @@
 export CP      = cp
 export ECHO    = echo
 
+VERSION = 1.3
+
 # -DDEBUG and -g only used during development
-CFLAGS += -Wall -pedantic -std=gnu99 `pkg-config --cflags gtk+-2.0` -DICONPATH=\"$(ICONPATH)\" -DLOCALEDIR=\"$(LOCALEDIR)\"
+CFLAGS += -Wall -pedantic -std=gnu99 -Wundef -Wcast-align -W -Wpointer-arith -Wwrite-strings -Wno-unused-parameter `pkg-config --cflags gtk+-2.0`
 ifndef WITHOUT_NLS
 	CFLAGS += -DENABLE_NLS
 endif
 
-# the _FILE_OFFSET_BITS=64 is to enable stat() for large files
-CPPFLAGS = -D_FILE_OFFSET_BITS=64
+CPPFLAGS +=  -DICONPATH=\"$(ICONPATH)\" -DLOCALEDIR=\"$(LOCALEDIR)\" -DDEFAULT_EDITOR=\"$(DEFAULT_EDITOR)\" -DDEFAULT_VIEWER=\"$(DEFAULT_VIEWER)\" -DVERSION=\"$(VERSION)\"
 
-OBJECTS = isomaster.o window.o browser.o fsbrowser.o isobrowser.o error.o about.o settings.o boot.o
+# the _FILE_OFFSET_BITS=64 is to enable stat() for large files on linuxish systems
+CPPFLAGS += -D_FILE_OFFSET_BITS=64
 
-all: isomaster translations isomaster.desktop
+OBJECTS = isomaster.o window.o browser.o fsbrowser.o isobrowser.o error.o about.o settings.o boot.o editfile.o
+
+all: translations isomaster.desktop isomaster
 
 isomaster: $(OBJECTS) lib iniparser
-	$(CC) $(OBJECTS) bk/bk.a iniparser-2.15/libiniparser.a $(CFLAGS) $(CPPFLAGS) `pkg-config --libs gtk+-2.0`-o isomaster
+	@echo 'Linking isomaster'
+	@$(CC) $(OBJECTS) bk/bk.a iniparser-2.17/libiniparser.a $(CFLAGS) $(CPPFLAGS) `pkg-config --libs gtk+-2.0` -o isomaster
 
 # static pattern rule
-$(OBJECTS): %.o: %.c bk/bk.h Makefile
-	$(CC) $< $(CFLAGS) $(CPPFLAGS) -c -o $@
+$(OBJECTS): %.o: %.c %.h bk/bk.h Makefile
+	@echo 'Compiling' $<
+	@$(CC) $< $(CFLAGS) $(CPPFLAGS) -c -o $@
 
 lib:
 	cd bk && $(MAKE)
 
 iniparser:
-	cd iniparser-2.15 && $(MAKE)
+	cd iniparser-2.17 && $(MAKE)
 
 translations:
 ifndef WITHOUT_NLS
@@ -73,7 +88,7 @@
 
 clean: 
 	cd bk && $(MAKE) clean
-	cd iniparser-2.15 && $(MAKE) clean
+	cd iniparser-2.17 && $(MAKE) clean
 ifndef WITHOUT_NLS
 	cd po && $(MAKE) clean
 endif

=== po/Makefile ===
--- 
+++ 
@@ -1,12 +1,13 @@
 # LOCALEDIR, RM, INSTALL defined in parent makefile
 
-MOFILES = bg.mo ca.mo cs.mo de.mo el.mo es.mo fi.mo fr.mo hr.mo it.mo nb.mo nl.mo nn.mo pl.mo pt.mo ro.mo ru.mo sk.mo sr@latin.mo sr@Latn.mo sq.mo sv.mo uk.mo zh_CN.mo zh_TW.mo
+MOFILES = bg.mo ca.mo cs.mo de.mo el.mo es.mo fi.mo fo.mo fr.mo he.mo hr.mo hu.mo id.mo it.mo nb.mo nl.mo nn.mo pl.mo pt.mo ro.mo ru.mo sk.mo sq.mo sr.mo sl.mo sr@latin.mo sr@Latn.mo sv.mo tr.mo uk.mo zh_CN.mo zh_TW.mo
 
-all: $(MOFILES) Makefile
+all: $(MOFILES)
 	
 # static pattern rule
-$(MOFILES): %.mo: %.po
-	msgfmt -c -v $< -o $@
+$(MOFILES): %.mo: %.po Makefile
+	@echo 'Compiling translation' $<
+	@msgfmt -c -v $< -o $@
 
 clean:
 	$(RM) *.mo *.percent

## isomaster 1.3.1

=== Makefile ===
--- 
+++ 
@@ -45,7 +45,7 @@
 export CP      = cp
 export ECHO    = echo
 
-VERSION = 1.3
+VERSION = 1.3.1
 
 # -DDEBUG and -g only used during development
 CFLAGS += -Wall -pedantic -std=gnu99 -Wundef -Wcast-align -W -Wpointer-arith -Wwrite-strings -Wno-unused-parameter `pkg-config --cflags gtk+-2.0`

=== po/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # LOCALEDIR, RM, INSTALL defined in parent makefile
 
-MOFILES = bg.mo ca.mo cs.mo de.mo el.mo es.mo fi.mo fo.mo fr.mo he.mo hr.mo hu.mo id.mo it.mo nb.mo nl.mo nn.mo pl.mo pt.mo ro.mo ru.mo sk.mo sq.mo sr.mo sl.mo sr@latin.mo sr@Latn.mo sv.mo tr.mo uk.mo zh_CN.mo zh_TW.mo
+MOFILES = be@latin.mo bg.mo ca.mo cs.mo de.mo el.mo es.mo et.mo fi.mo fo.mo fr.mo he.mo hr.mo hu.mo id.mo it.mo nb.mo nl.mo nn.mo pl.mo pt.mo ro.mo ru.mo sk.mo sq.mo sr.mo sl.mo sr@latin.mo sr@Latn.mo sv.mo tr.mo uk.mo zh_CN.mo zh_TW.mo
 
 all: $(MOFILES)

## isomaster 1.3.3

=== Makefile ===
--- 
+++ 
@@ -45,7 +45,7 @@
 export CP      = cp
 export ECHO    = echo
 
-VERSION = 1.3.1
+VERSION = 1.3.3
 
 # -DDEBUG and -g only used during development
 CFLAGS += -Wall -pedantic -std=gnu99 -Wundef -Wcast-align -W -Wpointer-arith -Wwrite-strings -Wno-unused-parameter `pkg-config --cflags gtk+-2.0`

=== icons/Makefile ===
# ICONPATH, RM, INSTALL defined in parent makefile

ICONS = isomaster.png go-back-kearone.png folder-new-kearone.png add2-kearone.png extract2-kearone.png delete-kearone.png

install: 
	$(INSTALL) -d $(DESTDIR)$(ICONPATH)
	for NAME in $(ICONS); do \
	  $(INSTALL) -v -m 644 $$NAME $(DESTDIR)$(ICONPATH); \
	done

uninstall:
	for NAME in $(ICONS); do \
	  $(RM) -v $(DESTDIR)$(ICONPATH)/$$NAME; \
	done

=== po/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # LOCALEDIR, RM, INSTALL defined in parent makefile
 
-MOFILES = be@latin.mo bg.mo ca.mo cs.mo de.mo el.mo es.mo et.mo fi.mo fo.mo fr.mo he.mo hr.mo hu.mo id.mo it.mo nb.mo nl.mo nn.mo pl.mo pt.mo ro.mo ru.mo sk.mo sq.mo sr.mo sl.mo sr@latin.mo sr@Latn.mo sv.mo tr.mo uk.mo zh_CN.mo zh_TW.mo
+MOFILES = be@latin.mo bg.mo ca.mo cs.mo da.mo de.mo el.mo es.mo et.mo fi.mo fo.mo fr.mo he.mo hr.mo hu.mo id.mo it.mo nb.mo nl.mo nn.mo pl.mo pt.mo pt_BR.mo ro.mo ru.mo sk.mo sq.mo sr.mo sl.mo sr@latin.mo sr@Latn.mo sv.mo tr.mo uk.mo zh_CN.mo zh_TW.mo
 
 all: $(MOFILES)

## isomaster 1.3.4

=== Makefile ===
--- 
+++ 
@@ -45,7 +45,7 @@
 export CP      = cp
 export ECHO    = echo
 
-VERSION = 1.3.3
+VERSION = 1.3.4
 
 # -DDEBUG and -g only used during development
 CFLAGS += -Wall -pedantic -std=gnu99 -Wundef -Wcast-align -W -Wpointer-arith -Wwrite-strings -Wno-unused-parameter `pkg-config --cflags gtk+-2.0`

## isomaster 1.3.5

=== Makefile ===
--- 
+++ 
@@ -45,7 +45,7 @@
 export CP      = cp
 export ECHO    = echo
 
-VERSION = 1.3.4
+VERSION = 1.3.5
 
 # -DDEBUG and -g only used during development
 CFLAGS += -Wall -pedantic -std=gnu99 -Wundef -Wcast-align -W -Wpointer-arith -Wwrite-strings -Wno-unused-parameter `pkg-config --cflags gtk+-2.0`

## isomaster 1.3.7

=== Makefile ===
--- 
+++ 
@@ -15,6 +15,9 @@
 
 # Where to install the man page.
 MYMANPATH ?= $(PREFIX)/share/man/man1
+
+# Where to install the bkisofs docs
+MYDOCPATH ?= $(PREFIX)/share/doc/bkisofs
 
 # Where to install the .desktop file
 DESKTOPPATH ?= $(PREFIX)/share/applications
@@ -45,7 +48,7 @@
 export CP      = cp
 export ECHO    = echo
 
-VERSION = 1.3.5
+VERSION = 1.3.7
 
 # -DDEBUG and -g only used during development
 CFLAGS += -Wall -pedantic -std=gnu99 -Wundef -Wcast-align -W -Wpointer-arith -Wwrite-strings -Wno-unused-parameter `pkg-config --cflags gtk+-2.0`
@@ -64,7 +67,7 @@
 
 isomaster: $(OBJECTS) lib iniparser
 	@echo 'Linking isomaster'
-	@$(CC) $(OBJECTS) bk/bk.a iniparser-2.17/libiniparser.a $(CFLAGS) $(CPPFLAGS) `pkg-config --libs gtk+-2.0` -o isomaster
+	@$(CC) $(OBJECTS) bk/bk.a iniparser-2.17/libiniparser.a $(LDFLAGS) $(CFLAGS) $(CPPFLAGS) `pkg-config --libs gtk+-2.0` -o isomaster
 
 # static pattern rule
 $(OBJECTS): %.o: %.c %.h bk/bk.h Makefile
@@ -85,6 +88,9 @@
 isomaster.desktop: isomaster.desktop.src
 	$(CP) isomaster.desktop.src isomaster.desktop
 	$(ECHO) Icon=$(ICONPATH)/isomaster.png >> isomaster.desktop
+
+bk-doc:
+	cd bkisofs-manual && $(MAKE)
 
 clean: 
 	cd bk && $(MAKE) clean
@@ -107,12 +113,17 @@
 	$(INSTALL) -m 644 isomaster.1 $(DESTDIR)$(MYMANPATH)
 	$(INSTALL) -d $(DESTDIR)$(DESKTOPPATH)
 	$(INSTALL) -m 644 isomaster.desktop $(DESTDIR)$(DESKTOPPATH)
+	$(INSTALL) -d $(DESTDIR)$(MYDOCPATH)
+	for FILE in bkisofs-manual/*html; do \
+            $(INSTALL) -m 644 $$FILE $(DESTDIR)$(MYDOCPATH); \
+        done;
 
 uninstall: 
-	$(RM) $(DESTDIR)$(BINPATH)/isomaster
+	$(RM) -f $(DESTDIR)$(BINPATH)/isomaster
 	cd icons && $(MAKE) uninstall
 ifndef WITHOUT_NLS
 	cd po && $(MAKE) uninstall
 endif
-	$(RM) $(DESTDIR)$(MYMANPATH)/isomaster.1
-	$(RM) $(DESTDIR)$(DESKTOPPATH)/isomaster.desktop
+	$(RM) -f $(DESTDIR)$(MYMANPATH)/isomaster.1
+	$(RM) -f $(DESTDIR)$(DESKTOPPATH)/isomaster.desktop
+	$(RM) -rf $(DESTDIR)$(MYDOCPATH)

=== po/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # LOCALEDIR, RM, INSTALL defined in parent makefile
 
-MOFILES = be@latin.mo bg.mo ca.mo cs.mo da.mo de.mo el.mo es.mo et.mo fi.mo fo.mo fr.mo he.mo hr.mo hu.mo id.mo it.mo nb.mo nl.mo nn.mo pl.mo pt.mo pt_BR.mo ro.mo ru.mo sk.mo sq.mo sr.mo sl.mo sr@latin.mo sr@Latn.mo sv.mo tr.mo uk.mo zh_CN.mo zh_TW.mo
+MOFILES = ar.mo be@latin.mo bg.mo ca.mo cs.mo da.mo de.mo el.mo es.mo et.mo fi.mo fo.mo fr.mo he.mo hr.mo hu.mo id.mo it.mo lv.mo nb.mo nl.mo nn.mo pl.mo pt.mo pt_BR.mo ro.mo ru.mo sk.mo sq.mo sr.mo sl.mo sr@latin.mo sr@Latn.mo sv.mo tr.mo uk.mo zh_CN.mo zh_TW.mo
 
 all: $(MOFILES)
 	
@@ -22,5 +22,5 @@
 
 uninstall:
 	for NAME in $(MOFILES); do \
-	  $(RM) -v $(DESTDIR)$(LOCALEDIR)/`basename $$NAME .mo`/LC_MESSAGES/isomaster.mo; \
+	  $(RM) -f $(DESTDIR)$(LOCALEDIR)/`basename $$NAME .mo`/LC_MESSAGES/isomaster.mo; \
 	done

## isomaster 1.3.8

=== Makefile ===
--- 
+++ 
@@ -48,7 +48,7 @@
 export CP      = cp
 export ECHO    = echo
 
-VERSION = 1.3.7
+VERSION = 1.3.8
 
 # -DDEBUG and -g only used during development
 CFLAGS += -Wall -pedantic -std=gnu99 -Wundef -Wcast-align -W -Wpointer-arith -Wwrite-strings -Wno-unused-parameter `pkg-config --cflags gtk+-2.0`

=== po/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # LOCALEDIR, RM, INSTALL defined in parent makefile
 
-MOFILES = ar.mo be@latin.mo bg.mo ca.mo cs.mo da.mo de.mo el.mo es.mo et.mo fi.mo fo.mo fr.mo he.mo hr.mo hu.mo id.mo it.mo lv.mo nb.mo nl.mo nn.mo pl.mo pt.mo pt_BR.mo ro.mo ru.mo sk.mo sq.mo sr.mo sl.mo sr@latin.mo sr@Latn.mo sv.mo tr.mo uk.mo zh_CN.mo zh_TW.mo
+MOFILES = ar.mo be@latin.mo bg.mo ca.mo cs.mo da.mo de.mo el.mo es.mo et.mo fi.mo fo.mo fr.mo he.mo hr.mo hu.mo id.mo it.mo ja.mo lv.mo nb.mo nl.mo nn.mo pl.mo pt.mo pt_BR.mo ro.mo ru.mo sk.mo sq.mo sr.mo sl.mo sr@latin.mo sr@Latn.mo sv.mo tr.mo uk.mo ur_PK.mo zh_CN.mo zh_TW.mo
 
 all: $(MOFILES)

## isomaster 1.3.9

=== iniparser-2.17/Makefile ===
#
# iniparser Makefile
#

# Compiler settings
CC      = gcc
CFLAGS  = -O3 -fPIC

# Ar settings to build the library
AR	    = ar
ARFLAGS = rcv

SHLD = ${CC} ${CFLAGS}
LDSHFLAGS = -shared -Wl,-Bsymbolic  -Wl,-rpath -Wl,/usr/lib -Wl,-rpath,/usr/lib
LDFLAGS = -Wl,-rpath -Wl,/usr/lib -Wl,-rpath,/usr/lib

# Set RANLIB to ranlib on systems that require it (Sun OS < 4, Mac OSX)
# RANLIB  = ranlib
RANLIB = true

RM      = rm -f


# Implicit rules

SUFFIXES = .o .c .h .a .so .sl

COMPILE.c=$(CC) $(CFLAGS) -c
.c.o:
	@(echo "compiling $< ...")
	@($(COMPILE.c) -o $@ $<)


SRCS = src/iniparser.c \
	   src/dictionary.c \
	   src/strlib.c

OBJS = $(SRCS:.c=.o)


default:	libiniparser.a

libiniparser.a:	$(OBJS)
	@($(AR) $(ARFLAGS) libiniparser.a $(OBJS))
	@($(RANLIB) libiniparser.a)

libiniparser.so:	$(OBJS)
	@$(SHLD) $(LDSHFLAGS) -o $@.0 $(OBJS) $(LDFLAGS) \
		-Wl,-soname=`basename $@`.0

clean:
	$(RM) $(OBJS)  libiniparser.a libiniparser.so*

veryclean:
	$(RM) $(OBJS) libiniparser.a libiniparser.so*
	rm -rf ./html ; mkdir html
	cd test ; $(MAKE) veryclean

docs:
	@(cd doc ; $(MAKE))
	
check:
	@(cd test ; $(MAKE))

=== po/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # LOCALEDIR, RM, INSTALL defined in parent makefile
 
-MOFILES = ar.mo be@latin.mo bg.mo ca.mo cs.mo da.mo de.mo el.mo es.mo et.mo fi.mo fo.mo fr.mo he.mo hr.mo hu.mo id.mo it.mo ja.mo lv.mo nb.mo nl.mo nn.mo pl.mo pt.mo pt_BR.mo ro.mo ru.mo sk.mo sq.mo sr.mo sl.mo sr@latin.mo sr@Latn.mo sv.mo tr.mo uk.mo ur_PK.mo zh_CN.mo zh_TW.mo
+MOFILES = ar.mo be@latin.mo bg.mo ca.mo cs.mo da.mo de.mo el.mo es.mo et.mo fi.mo fo.mo fr.mo he.mo hr.mo hu.mo id.mo it.mo ja.mo lt.mo lv.mo nb.mo nl.mo nn.mo pl.mo pt.mo pt_BR.mo ro.mo ru.mo sk.mo sq.mo sr.mo sl.mo sr@latin.mo sr@Latn.mo sv.mo tr.mo uk.mo ur_PK.mo zh_CN.mo zh_TW.mo
 
 all: $(MOFILES)

=== debian/changelog ===
isomaster (1.3.9-2) unstable; urgency=medium

  * Add ld-as-needed.diff patch from Ubuntu
  * Add use-actual-boot-image-size-in-eltorito-boot-catalog.diff patch from
    Ubuntu (Closes: #734390, LP: #1266461)
  * Standards-version to 3.9.5
  * Bump packaging copyright year to 2014

 -- David Johnson <dj@david-web.co.uk>  Sun, 12 Jan 2014 17:56:29 +0000

isomaster (1.3.9-1) unstable; urgency=low

  * New upstream release (Closes: #673419)
  * Use quilt for patch(es)
  * Switch to dpkg-source 3.0 (quilt) format
  * Add build-arch and build-indep targets in debian/rules
  * Add hardening build-flags in debian/rules
  * Fix-up old boilerplate text in debian/copyright
  * Register bkisofs manual in doc-base
  * Standards-version to 3.9.3

 -- David Johnson <dj@david-web.co.uk>  Sun, 27 May 2012 11:52:18 +0100

isomaster (1.3.8-1) unstable; urgency=low

  * New upstream release
  * Remove fortify patch (merged by upstream)
  * Standards-version to 3.9.2

 -- David Johnson <dj@david-web.co.uk>  Sun, 29 May 2011 18:25:21 +0100

isomaster (1.3.7-2) unstable; urgency=low

  * Add patch for buffer overflow triggered by compilation with fortify flag
    (LP: #500151)
  * Standards-version to 3.8.4

 -- David Johnson <dj@david-web.co.uk>  Mon, 01 Mar 2010 19:55:54 +0000

isomaster (1.3.7-1) unstable; urgency=low

  * New upstream release
  * Add ${misc:Depends}
  * Remove redundant fixes for bkisofs manual build (fixed upstream)

 -- David Johnson <dj@david-web.co.uk>  Sun, 10 Jan 2010 15:15:42 +0000

isomaster (1.3.6-1) unstable; urgency=low

  * New upstream release
  * Standards-version to 3.8.3
  * Remove deprecated call to dh_desktop
  * New docbook build-depends
  * Makefiles fixed to point to correct bkisofs-manual build location and
    clean-up properly
  * Installation directory for bkisofs manual changed to /usr/share/doc

 -- David Johnson <dj@david-web.co.uk>  Sat, 24 Oct 2009 21:03:09 +0100

isomaster (1.3.5-1) unstable; urgency=low

  * New upstream release
  * Rules file fixed to add missing call to dh_desktop
  * Standards-version to 3.8.1

 -- David Johnson <dj@david-web.co.uk>  Sun, 12 Apr 2009 12:00:48 +0100

isomaster (1.3.4-1) unstable; urgency=low

  * New upstream release
  * Tidy .desktop file and fix categories (Closes: #507369)

 -- David Johnson <dj@david-web.co.uk>  Sat, 06 Dec 2008 16:07:12 +0000

isomaster (1.3.3-1) unstable; urgency=low

  * New upstream release
  * Update to standards version 3.8.0

 -- David Johnson <dj@david-web.co.uk>  Sun, 06 Jul 2008 13:31:58 +0100

isomaster (1.3.1-1) unstable; urgency=low

  * New upstream release
  * Update project homepage address

 -- David Johnson <dj@david-web.co.uk>  Sat, 09 Feb 2008 11:40:44 +0000

isomaster (1.3-1) unstable; urgency=low

  * New upstream release
  * Update to standards version 3.7.3
  * Fix watch file for rc filename variations

 -- David Johnson <dj@david-web.co.uk>  Tue, 18 Dec 2007 21:11:57 +0000

isomaster (1.2-1) unstable; urgency=low

  * New upstream release
  * Fix watch file to handle RCs properly
  * Update upstream's e-mail address

 -- David Johnson <dj@david-web.co.uk>  Sat, 27 Oct 2007 22:26:45 +0100

isomaster (1.1-1) unstable; urgency=low

  * New upstream release
  * Now suggest 'mousepad' package
  * Update menu file for section changes
  * Fix rules file to not ignore errors from 'make clean'

 -- David Johnson <dj@david-web.co.uk>  Sat, 13 Oct 2007 22:25:46 +0100

isomaster (1.0-1) unstable; urgency=low

  * New upstream release
  * Update watch file to handle upstream [-]rc naming inconsistency
  * Update to standards version 3.7.2.2

 -- David Johnson <dj@david-web.co.uk>  Sat, 09 Jun 2007 23:40:58 +0100

isomaster (0.8.1-1) unstable; urgency=low

  * New upstream release
  * Tidy homepage link in debian/control

 -- David Johnson <dj@david-web.co.uk>  Sun, 18 Mar 2007 19:21:27 +0000

isomaster (0.8-1) unstable; urgency=low

  * New upstream release (Closes: #413857)
  * Change of GPL text location in about.c
  * A few declarations commented-out in strlib.h and dictionary.h to fix
    compilation with -O2
  * Makefile modified to compress manpage

 -- David Johnson <dj@david-web.co.uk>  Sat, 17 Mar 2007 10:15:04 +0000

isomaster (0.7-3) unstable; urgency=low

  * Fixed up locales

 -- David Johnson <dj@david-web.co.uk>  Thu, 18 Jan 2007 09:18:36 +0000

isomaster (0.7-2) unstable; urgency=low

  * Added some missing files

 -- David Johnson <dj@david-web.co.uk>  Thu, 18 Jan 2007 09:18:13 +0000

isomaster (0.7-1) unstable; urgency=low

  * Initial release

 -- David Johnson <dj@david-web.co.uk>  Wed, 17 Jan 2007 10:05:54 +0000

=== debian/control ===
Source: isomaster
Section: otherosfs
Priority: optional
Maintainer: David Johnson <dj@david-web.co.uk>
Homepage: http://www.littlesvr.ca/isomaster/
Build-Depends: debhelper (>= 9), libgtk2.0-dev, gettext, docbook, docbook-utils, dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.5

Package: isomaster
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mousepad
Description: Graphical CD image editor
 You can use isomaster to:
  - add files to an image
  - extract files from an image
  - delete files from an image

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -g

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir

	touch configure-stamp

build: build-arch build-indep

build-arch: build-stamp

build-indep: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# commands to compile the package.
	CFLAGS="$(CFLAGS)" $(MAKE) PREFIX=/usr ICONPATH=/usr/share/icons/isomaster \
		MYMANPATH=/usr/share/man/man1 \
		MYDOCPATH=/usr/share/doc/isomaster/bkisofs

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# commands to install the package into debian/isomaster.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/isomaster PREFIX=/usr \
		ICONPATH=/usr/share/icons/isomaster \
                MYMANPATH=/usr/share/man/man1 \
		MYDOCPATH=/usr/share/doc/isomaster/bkisofs

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGELOG.TXT
	dh_installdocs
	dh_installmenu
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## isomaster 1.3.13

=== Makefile ===
--- 
+++ 
@@ -40,6 +40,9 @@
 # don't uncomment it unless you are willing to risk losing data.
 #CPPFLAGS += -DENABLE_SAVE_OVERWRITE
 
+# Define this on the command-line to use the system iniparser
+#USE_SYSTEM_INIPARSER = 1
+
 # programs used in the Makefiles:
 export CC      ?= gcc
 export AR      = ar
@@ -48,7 +51,7 @@
 export CP      = cp
 export ECHO    = echo
 
-VERSION = 1.3.8
+VERSION = 1.3.13
 
 # -DDEBUG and -g only used during development
 CFLAGS += -Wall -pedantic -std=gnu99 -Wundef -Wcast-align -W -Wpointer-arith -Wwrite-strings -Wno-unused-parameter `pkg-config --cflags gtk+-2.0`
@@ -61,24 +64,36 @@
 # the _FILE_OFFSET_BITS=64 is to enable stat() for large files on linuxish systems
 CPPFLAGS += -D_FILE_OFFSET_BITS=64
 
+ifdef USE_SYSTEM_INIPARSER
+CPPFLAGS += -DUSE_SYSTEM_INIPARSER=$(USE_SYSTEM_INIPARSER)
+endif
+
 OBJECTS = isomaster.o window.o browser.o fsbrowser.o isobrowser.o error.o about.o settings.o boot.o editfile.o
 
 all: translations isomaster.desktop isomaster
 
 isomaster: $(OBJECTS) lib iniparser
 	@echo 'Linking isomaster'
-	@$(CC) $(OBJECTS) bk/bk.a iniparser-2.17/libiniparser.a $(LDFLAGS) $(CFLAGS) $(CPPFLAGS) `pkg-config --libs gtk+-2.0` -o isomaster
+ifndef USE_SYSTEM_INIPARSER
+	@$(CC) $(LDFLAGS) $(OBJECTS) bk/bk.a iniparser-2.17/libiniparser.a -o isomaster `pkg-config --libs gtk+-2.0`
+else
+	@$(CC) $(LDFLAGS) $(OBJECTS) bk/bk.a -liniparser -o isomaster `pkg-config --libs gtk+-2.0`
+endif
 
 # static pattern rule
 $(OBJECTS): %.o: %.c %.h bk/bk.h Makefile
 	@echo 'Compiling' $<
-	@$(CC) $< $(CFLAGS) $(CPPFLAGS) -c -o $@
+	@$(CC) $(CFLAGS) $(CPPFLAGS) $< -c -o $@
 
 lib:
 	cd bk && $(MAKE)
 
 iniparser:
+ifndef USE_SYSTEM_INIPARSER
 	cd iniparser-2.17 && $(MAKE)
+else
+	@echo "Will use system iniparser";
+endif
 
 translations:
 ifndef WITHOUT_NLS
@@ -114,9 +129,6 @@
 	$(INSTALL) -d $(DESTDIR)$(DESKTOPPATH)
 	$(INSTALL) -m 644 isomaster.desktop $(DESTDIR)$(DESKTOPPATH)
 	$(INSTALL) -d $(DESTDIR)$(MYDOCPATH)
-	for FILE in bkisofs-manual/*html; do \
-            $(INSTALL) -m 644 $$FILE $(DESTDIR)$(MYDOCPATH); \
-        done;
 
 uninstall: 
 	$(RM) -f $(DESTDIR)$(BINPATH)/isomaster

=== bk/Makefile ===
# CC, AR, RM defined in parent makefile

OBJECTS = bkRead7x.o bkAdd.o bkDelete.o bkExtract.o bkRead.o bkPath.o bkMangle.o bkWrite.o bkWrite7x.o bkTime.o bkSort.o bkError.o bkGet.o bkSet.o bkCache.o bkLink.o bkMisc.o bkIoWrappers.o

# -DDEBUG and -g only used during development
CFLAGS  += -Wall -pedantic -std=gnu99 -Wundef -Wcast-align -W -Wpointer-arith -Wwrite-strings -Wno-unused-parameter

# the _FILE_OFFSET_BITS=64 is to enable stat() for large files
CPPFLAGS = -D_FILE_OFFSET_BITS=64

ifdef WINDOWS_BUILD
  CPPFLAGS += -DWINDOWS_BUILD
endif

bk.a: $(OBJECTS)
	@echo 'Creating bk.a'
	@$(AR) -cr bk.a $(OBJECTS)

# static pattern rule
$(OBJECTS): %.o: %.c %.h Makefile bk.h bkInternal.h
	@echo 'Compiling' $<
	@$(CC) $< $(CFLAGS) $(CPPFLAGS) -c -o $@

example: example.c
	$(CC) $(CFLAGS) $(CPPFLAGS) example.c bk.a -o example

clean: 
	$(RM) *.o bk.a

=== po/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # LOCALEDIR, RM, INSTALL defined in parent makefile
 
-MOFILES = ar.mo be@latin.mo bg.mo ca.mo cs.mo da.mo de.mo el.mo es.mo et.mo fi.mo fo.mo fr.mo he.mo hr.mo hu.mo id.mo it.mo ja.mo lt.mo lv.mo nb.mo nl.mo nn.mo pl.mo pt.mo pt_BR.mo ro.mo ru.mo sk.mo sq.mo sr.mo sl.mo sr@latin.mo sr@Latn.mo sv.mo tr.mo uk.mo ur_PK.mo zh_CN.mo zh_TW.mo
+MOFILES = af.mo am.mo an.mo ar.mo as.mo az.mo be.mo be@latin.mo bg.mo bn.mo bn_IN.mo br.mo bs.mo ca.mo cs.mo cy.mo da.mo de.mo dz.mo el.mo eo.mo es.mo et.mo eu.mo fa.mo ff.mo fi.mo fo.mo fr.mo fy.mo ga.mo gd.mo gl.mo gu.mo gv.mo ha.mo he.mo hi.mo hr.mo ht.mo hu.mo hy.mo ia.mo id.mo ig.mo io.mo is.mo it.mo ja.mo jv.mo ka.mo kk.mo km.mo kn.mo ko.mo kr.mo ku.mo kw.mo ky.mo la.mo lb.mo lg.mo li.mo lt.mo lv.mo mg.mo mi.mo mk.mo ml.mo mn.mo mr.mo ms.mo my.mo nb.mo ne.mo nl.mo nn.mo oc.mo or.mo pa.mo pl.mo ps.mo pt.mo pt_BR.mo ro.mo ru.mo rw.mo si.mo sk.mo sl.mo sq.mo sr.mo sr@Latn.mo sr@latin.mo st.mo sv.mo sw.mo ta.mo te.mo tg.mo th.mo tk.mo tl.mo tr.mo ts.mo tt.mo ug.mo uk.mo ur.mo ur_PK.mo uz.mo uz@cyrillic.mo wa.mo wo.mo xh.mo yi.mo yo.mo zh_CN.mo zh_TW.mo zu.mo
 
 all: $(MOFILES)

=== debian/changelog ===
isomaster (1.3.13-1) unstable; urgency=low

  * New upstream release (Closes: #795377)
  * Remove patches integrated upstream
  * Add sensible-tools.patch by Riley Baird (Closes: #788686)
  * Remove mousepad suggestion
  * Add %f exec code and keywords to .desktop file
  * Tidy cruft left over from bkisofs manual, which has been removed
  * Standards-version to 3.9.6
  * Make copyright machine-readable
  * Remove menu file per policy
  * Update rules file
  * Make build verbose, allow flags to be overridden in build

 -- David Johnson <dj@david-web.co.uk>  Sun, 03 Jan 2016 14:48:20 +0000

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,11 @@
 Maintainer: David Johnson <dj@david-web.co.uk>
 Homepage: http://www.littlesvr.ca/isomaster/
 Build-Depends: debhelper (>= 9), libgtk2.0-dev, gettext, docbook, docbook-utils, dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 
 Package: isomaster
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: mousepad
 Description: Graphical CD image editor
  You can use isomaster to:
   - add files to an image

=== debian/rules ===
#!/usr/bin/make -f
export PREFIX=/usr
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --parallel

=== debian/watch ===
version=3

opts="uversionmangle=s/^[0-9]\.[0-9](?-)rc/0./" \
http://littlesvr.ca/isomaster/releases/isomaster-(.*)\.tar\.bz2
